## ont-fast5-api 4.0.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
VERSION       ?= unknown 

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) -D version=$(VERSION) -D release=$(VERSION) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  api        to autogenerate API documentation"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	$(eval NON_INDEX_FILES := $(filter-out source/index.rst, $(wildcard source/*.rst)))
	-rm -rf $(BUILDDIR)
	mkdir $(BUILDDIR)
ifneq ($(NON_INDEX_FILES),)
	rm $(NON_INDEX_FILES)
endif

api:
	$(eval NON_INDEX_FILES := $(filter-out source/index.rst, $(wildcard source/*.rst)))
ifneq ($(NON_INDEX_FILES),)
	rm $(NON_INDEX_FILES)
endif
	sphinx-apidoc --no-toc -o source/ ..
	rm source/test.rst
	rm source/setup.rst
	@echo
	@echo "API gubbins generated in source directory for version $(VERSION)."

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/fast5_api.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/fast5_api.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ont_fast5_api"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ont_fast5_api"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ont-fast5-api (4.0.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 20:52:41 +0200

ont-fast5-api (3.1.5+dfsg-2) unstable; urgency=medium

  * Add autopkgtest
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: Clean generated files
  * d/salsa-ci.yml: disable reprotest for now


 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 Aug 2021 16:34:07 +0530

ont-fast5-api (3.1.5+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #990413)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 28 Jun 2021 19:31:33 +0530

=== debian/control ===
Source: ont-fast5-api
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-h5py,
               python3-numpy,
               python3-six,
               python3-progressbar,
               python3-packaging,
               libvbz-hdf-plugin-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/ont-fast5-api
Vcs-Git: https://salsa.debian.org/med-team/ont-fast5-api.git
Homepage: https://github.com/nanoporetech/ont_fast5_api/
Rules-Requires-Root: no

Package: ont-fast5-api
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-progressbar,
         libvbz-hdf-plugin-dev
Description: simple interface to HDF5 files of the Oxford Nanopore .fast5 file format
 Ont_fast5_api is a simple interface to HDF5 files of the Oxford
 Nanopore .fast5 file format.
 .
 It provides:
 .
  * Concrete implementation of the fast5 file schema using the generic h5py
    library
  * Plain-english-named methods to interact with and reflect the fast5 file
    schema
  * Tools to convert between multi_read and single_read formats
  * Tools to compress/decompress raw data in files

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/nanoporetech/ont_fast5_api/tags (?:.*?/)?release_?@ANY_VERSION@\.tar\.gz

## ont-fast5-api 4.0.2+dfsg

=== debian/changelog ===
ont-fast5-api (4.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version 4.0.2+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Refresh patch

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 20:26:42 +0530

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-progressbar,
                python3-packaging,
                libvbz-hdf-plugin-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/ont-fast5-api
 Vcs-Git: https://salsa.debian.org/med-team/ont-fast5-api.git
 Homepage: https://github.com/nanoporetech/ont_fast5_api/

## ont-fast5-api 4.1.1%2Bdfsg

=== debian/changelog ===
ont-fast5-api (4.1.1+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Explicitly depend on python3-h5py which somehow does not get
    picked up by debhelper

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Dec 2022 15:35:02 +0530

ont-fast5-api (4.1.1+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.1.1+dfsg (Closes: #1027249)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Dec 2022 15:03:35 +0530

ont-fast5-api (4.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 12 Oct 2022 09:38:42 +0200

## ont-fast5-api 4.1.1+dfsg

=== debian/changelog ===
ont-fast5-api (4.1.1+dfsg-5) unstable; urgency=medium

  * Team Upload
  * Add explicity runtime dependency on python3-pkg-resources
    to untangle "numpy" migration.
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 16 Jan 2025 21:33:09 +0100

ont-fast5-api (4.1.1+dfsg-4) unstable; urgency=medium

  * Team Upload
  * Remove extraneous python3-six build dependency

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Aug 2024 17:55:01 +0200

ont-fast5-api (4.1.1+dfsg-3) unstable; urgency=medium

  * Add patch to fix FTBFS with new h5py 3.9 (Closes: #1053274)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 Oct 2023 21:03:26 +0530

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-setuptools,
                python3-h5py,
                python3-numpy,
-               python3-six,
                python3-progressbar,
                python3-packaging,
                libvbz-hdf-plugin-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/ont-fast5-api
 Vcs-Git: https://salsa.debian.org/med-team/ont-fast5-api.git
 Homepage: https://github.com/nanoporetech/ont_fast5_api/
@@ -24,8 +23,10 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
+         python3-pkg-resources,
          python3-progressbar,
-         libvbz-hdf-plugin-dev
+         libvbz-hdf-plugin-dev,
+         python3-h5py
 Description: simple interface to HDF5 files of the Oxford Nanopore .fast5 file format
  Ont_fast5_api is a simple interface to HDF5 files of the Oxford
  Nanopore .fast5 file format.

## ont-fast5-api 4.1.3+dfsg

=== debian/changelog ===
ont-fast5-api (4.1.3+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Drop myself from uploaders
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"
  * Move d/watch to version 5

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Nov 2025 19:29:37 +0530

ont-fast5-api (4.1.3+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 4.1.3+dfsg
  * Remove again explicit dep on python3-pkg-resources
    intoduced in previous upload, upstream has fixed setup.py.
  * Refresh patches
  * Add one line patch for Numpy 2.x support (Closes: #1094734)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 03 Feb 2025 12:16:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <nilesh@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all-dev,
@@ -12,18 +11,16 @@
                python3-progressbar,
                python3-packaging,
                libvbz-hdf-plugin-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/ont-fast5-api
 Vcs-Git: https://salsa.debian.org/med-team/ont-fast5-api.git
 Homepage: https://github.com/nanoporetech/ont_fast5_api/
-Rules-Requires-Root: no
 
 Package: ont-fast5-api
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         python3-pkg-resources,
          python3-progressbar,
          libvbz-hdf-plugin-dev,
          python3-h5py

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME=ont_fast5_api

export PYBUILD_BEFORE_TEST=cp -av {dir}/test/data {build_dir}/test

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_configure:
	mkdir -p $(CURDIR)/ont_fast5_api/vbz_plugin
	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/libvbz_hdf_plugin.so $(CURDIR)/ont_fast5_api/vbz_plugin/libvbz_hdf_plugin.so

override_dh_dwz:
	dh_dwz || true

execute_after_dh_fixperms:
	find debian -name "*.fast5" -exec chmod -x \{\} \;

=== debian/watch ===
Version: 5

Template: Github
Owner: nanoporetech
Project: ont_fast5_api
Repacksuffix: +dfsg
Dversion-Mangle: auto
Compression: xz
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/release_?@ANY_VERSION@
